Reject a case invitation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/access/{orgId}/case/{caseId}/invitation/reject

Rejects an invitation using the token from the invite email, with an optional reason. Public: no sign-in needed. Returns no data.

Path parameters

  • orgId string Required

    Id of the organization

  • caseId string Required

    Id of the case

application/json

Body Required

Reject invitation body

  • token string Required
  • email string Required
  • reason string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/access/{orgId}/case/{caseId}/invitation/reject
curl \
 --request POST 'http://api.example.com/case/access/{orgId}/case/{caseId}/invitation/reject' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "token": "string",
  "email": "string",
  "reason": "string"
}'
Request examples
{
  "token": "string",
  "email": "string",
  "reason": "string"
}
Response examples (200)
{
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}